org.jboss.logging.processor.validation

## Class IdLengthValidator

- java.lang.Object
- - org.jboss.logging.processor.validation.IdLengthValidator

    public class IdLengthValidator
    extends Object

Author:
  James R. Perkins

### Constructor Summary

Constructors
Constructor and Description
`IdLengthValidator()`

### Method Summary

Methods
`Collection<ValidationMessage>` `validate(MessageInterface messageInterface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdLengthValidator

    public IdLengthValidator()

### Method Detail

#### validate

    public Collection<ValidationMessage> validate(MessageInterface messageInterface)